commit: 75d530212e4a045d837c226910708b98d602f369
Author: Andreas K. Hüttel <dilfridge <AT> gentoo <DOT> org>
AuthorDate: Sun Feb 15 15:01:57 2026 +0000
Commit: Andreas K. Hüttel <dilfridge <AT> gentoo <DOT> org>
CommitDate: Sun Feb 15 15:04:06 2026 +0000
URL: https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=75d53021
dev-util/catalyst: add 4.1.1
Signed-off-by: Andreas K. Hüttel <dilfridge <AT> gentoo.org>
dev-util/catalyst/Manifest | 1 +
dev-util/catalyst/catalyst-4.1.1.ebuild | 136 ++++++++++++++++++++++++++++++++
2 files changed, 137 insertions(+)
diff --git a/dev-util/catalyst/Manifest b/dev-util/catalyst/Manifest
index 0ead15bf7a99..ddc847fd851c 100644
--- a/dev-util/catalyst/Manifest
+++ b/dev-util/catalyst/Manifest
@@ -1,3 +1,4 @@
DIST catalyst-4.0.0.tar.bz2 356445 BLAKE2B
1e3dc5fa5a3603b2c7e46277da00877ba34a4bd7a63a3e0f3728cdb9a76782e4dbb1b2f6f950e752e8814fa9da2db1e43280711bd7df44abe649c641760d9240
SHA512
332c9519fd59618c59367299ca1208280a973a0b99f03937831f9b39c643b090599733a0ad3735488de5b11d8581afd2b585a19bfb6a196c4eed899912388499
DIST catalyst-4.0.1.tar.bz2 356558 BLAKE2B
c0a0653fc3f184959bc32ae7daead622503fe901064887e529cb80cba68ca10bc97ed386166fddcc8b04260386eb1f652e196c2a27a0499c749945ce9600ea61
SHA512
b6eda73310d8daacaccfb3b9d7672dbdd22c847ddcd950f83260b7cd5e5931b09d68d4702d7d3444434993ad6baa34b924d7dd1eeaceb5cd609914229fc18eb3
DIST catalyst-4.1.0.tar.bz2 361207 BLAKE2B
b8ff0cfe997a5867973f27baed7287c3e4bd87e0dbfd8d6c5b6434a77b9ab1eab4d48f5e360b18dbb744436458ab184d6a1a9f570ca1e28c7b1fe51c5f46f503
SHA512
bbf7a166b6aa86e75d98a00b1ebffebb614346c2b2601592162da2c1729bb671f237f819aa2f5ca82a6bf05a95bd7505894a5472ee72c69e38964b1a3d54d33d
+DIST catalyst-4.1.1.tar.bz2 361752 BLAKE2B
881f2f9b5532ed27edab5bad8e99e4720c90d36b011fb475fb2619960abb5a606e1661a4bb357e1469d104a1410a3fe021053a5bf3c404e760de823cb6a0368b
SHA512
f068993690b6b5585ce8e794cc7755387a81042301bf1449fd042d39c65a6eaf6512e8ab676c74d416fe99f85de8f2dbb1ca8b6020d6c1e5466f27cea9fd1c6b
diff --git a/dev-util/catalyst/catalyst-4.1.1.ebuild
b/dev-util/catalyst/catalyst-4.1.1.ebuild
new file mode 100644
index 000000000000..1b5e07294386
--- /dev/null
+++ b/dev-util/catalyst/catalyst-4.1.1.ebuild
@@ -0,0 +1,136 @@
+# Copyright 1999-2026 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+MY_P=${P/_/-}
+
+if [[ ${PV} == *9999* ]]; then
+ SRC_ECLASS="git-r3"
+ EGIT_REPO_URI="https://anongit.gentoo.org/git/proj/catalyst.git"
+ EGIT_BRANCH="master"
+else
+
SRC_URI="https://gitweb.gentoo.org/proj/catalyst.git/snapshot/${MY_P}.tar.bz2"
+ KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~mips ~ppc ~ppc64 ~riscv
~s390 ~sparc ~x86"
+ S="${WORKDIR}/${MY_P/_/-}"
+fi
+
+PYTHON_COMPAT=( python3_{12..13} )
+DISTUTILS_USE_PEP517=setuptools
+
+inherit distutils-r1 linux-info optfeature tmpfiles ${SRC_ECLASS}
+
+DESCRIPTION="Release metatool used for creating releases based on Gentoo Linux"
+HOMEPAGE="https://wiki.gentoo.org/wiki/Catalyst"
+
+LICENSE="GPL-2+"
+SLOT="0"
+IUSE="doc +iso qcow2"
+
+BDEPEND="
+ app-text/asciidoc
+"
+DEPEND="
+ sys-apps/portage[${PYTHON_USEDEP}]
+ >=dev-python/snakeoil-0.6.5[${PYTHON_USEDEP}]
+ dev-python/fasteners[${PYTHON_USEDEP}]
+ dev-python/tomli[${PYTHON_USEDEP}]
+ sys-apps/util-linux[python,${PYTHON_USEDEP}]
+"
+RDEPEND="
+ ${DEPEND}
+ >=dev-python/pydecomp-0.3[${PYTHON_USEDEP}]
+ app-arch/lbzip2
+ app-arch/pixz
+ app-arch/tar[xattr]
+ dev-vcs/git
+ sys-fs/dosfstools
+ sys-fs/squashfs-tools-ng[tools]
+
+ iso? (
+ app-cdr/cdrtools
+ dev-libs/libisoburn
+
+ amd64? (
+
sys-boot/grub[grub_platforms_efi-32,grub_platforms_efi-64]
+ sys-fs/mtools
+ )
+ arm64? (
+ sys-boot/grub[grub_platforms_efi-64]
+ sys-fs/mtools
+ )
+ ppc? (
+ sys-boot/grub:2[grub_platforms_ieee1275]
+ )
+ ppc64? (
+ sys-boot/grub:2[grub_platforms_ieee1275]
+ )
+ sparc? (
+ sys-boot/grub:2[grub_platforms_ieee1275]
+ )
+ x86? (
+ sys-boot/grub[grub_platforms_efi-32]
+ )
+ )
+
+ qcow2? (
+ amd64? (
+
sys-boot/grub[grub_platforms_efi-32,grub_platforms_efi-64]
+ sys-fs/dosfstools
+ sys-fs/xfsprogs
+ sys-block/parted
+ app-emulation/qemu
+ )
+ )
+"
+
+pkg_setup() {
+ CONFIG_CHECK="
+ ~UTS_NS ~IPC_NS
+ ~SQUASHFS ~SQUASHFS_ZLIB ~XFS_FS ~VFAT_FS
+ "
+ linux-info_pkg_setup
+}
+
+python_prepare_all() {
+ python_setup
+ echo VERSION="${PV}" "${PYTHON}" setup.py set_version
+ VERSION="${PV}" "${PYTHON}" setup.py set_version || die
+ distutils-r1_python_prepare_all
+}
+
+# Build man pages here so as to not clobber default src_compile
+src_configure() {
+ # build the man pages and docs
+ emake
+}
+
+python_install_all() {
+ distutils-r1_python_install_all
+ if use doc; then
+ dodoc files/HOWTO.html files/docbook-xsl.css
+ fi
+}
+
+python_install() {
+ distutils-r1_python_install
+ rm -rv "${D}"$(python_get_sitedir)/usr
+}
+
+src_install() {
+ distutils-r1_src_install
+
+ echo 'd /var/tmp/catalyst 0755 root root' > "${T}"/catalyst-tmpdir.conf
+ dotmpfiles "${T}"/catalyst-tmpdir.conf
+
+ doman files/catalyst.1 files/catalyst-config.5 files/catalyst-spec.5
+ insinto /etc/catalyst
+ doins etc/*
+}
+
+pkg_postinst() {
+ if [[ -z ${REPLACING_VERSIONS} ]]; then
+ optfeature "ccache support" dev-util/ccache
+ fi
+ tmpfiles_process catalyst-tmpdir.conf
+}